/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_execute_loop {
namespace execute_loop {
namespace multi_read_unit {
namespace read_unit {
namespace read_queue {


  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Read_queue,"msg_error","Begin");

    Parameters_test test ("Read_queue");

    if (_nb_type < 2)
      test.error("The number of type must be > 1");

    if (_nb_operation < 2)
      test.error("The number of operation must be > 1");

    log_printf(FUNC,Read_queue,"msg_error","End");

    return test;
  };

}; // end namespace read_queue
}; // end namespace read_unit
}; // end namespace multi_read_unit
}; // end namespace execute_loop
}; // end namespace multi_execute_loop
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
